Trend Officescan Server and SQL express 2014

I am currently having a nightmare with Trend Officescan 11 and SQL Express 2014 - and getting absolutely nowhere with Trend Technical support!

We recently renewed for another 3 years with Trend and decided to move Offciescan 11 server to a new 2012 server.  We migrated the Trend database to SQL and then restored it to the new server which is running SQL expres 2014.  All good so far....however the problems start when we try to install the Trend AV for Mac (TMSM) plugin or the Intrsuion Defence Firewaal (IDF) plugin.  both of these require SQL databases, both of which fail with errors.  I have followed the manual steps to install TMSM by using a new SQL 2014 instance, but it still fails.  I'm now left with two options - lose the last month of AV data and start again using a 2008 instance and the (now month) old database, or use a script to try and downgrade from 2014 tro 2008 - both seem stupid considering we are already on SQL 2014!

Anyone else had this issue or can offer any insight?
Amaze_ITAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

btanExec ConsultantCommented:
if it is product limitation then no choice but to consider upgrade, I understand that OfficeScan 11.0 needs a full-blown relational database server, such as Microsoft SQL Server. See the migration tool http://docs.trendmicro.com/en-us/enterprise/officescan-110-server/chap_11_intro/sql_tool_intro/sql_tool_use.aspx

in specific to migrate they stated pre-req patch before going into v11
For the following versions, it is recommended to apply the corresponding critical patch. The critical patches resolve an issue that affects the "No Program Upgrade" setting. If you are using this feature to control program deployment, apply the critical patch first and wait for the clients to receive it before upgrading to version 11.0.
•10.6 SP 3 Patch 1.1 - Apply Critical Patch 5495.
•10.6 SP 3 - Apply Patch 1.1 and then apply Critical Patch 5495.
•10.6 SP 2 - Apply Critical Patch 3516.
I suppose this is done and comply already. https://esupport.trendmicro.com/solution/en-US/1103035.aspx

Any specific error for the plugin install mentioned? see error code
http://docs.trendmicro.com/all/ent/officescan/v11.0/en-us/osce_11.0_plm_olh/plm_trb_sht_error.html
0
Amaze_ITAuthor Commented:
Just to update this - after a lot of chasing with the absolutely USELESS tech support people at Trend, I managed to solve the issue myself.  It would appear that the only way to get this to work with a SQL 2014 express install is to manually install a new SQL 2008 instance AS WELL for the TMSM plugin, and manually install the plugin; at which point this works.  it simply doesn't work with SQL 2014 (or 2012 it seems).  additionally at each attempt it left partially installed info on the server which required registry hacking to clear out and try again.

Won't be renewing Trend in April.....
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Amaze_ITAuthor Commented:
found own solution
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Anti-Virus Apps

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.